Productsup
CDE APIApi referenceVersions

Update Container API version.

Update Container API version.

Sign in to run requests against the CDE API.
PUT
/connectors/{publicId}/versions/{connectorVersion}/execution-config/container-api

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/execution-config/container-api" \  -H "Content-Type: application/json" \  -d '{    "image": "test.domain.docker/test/container-api-image:1.0.0",    "version-constraint": "^0.20"  }'
{
  "message": "successful operation",
  "data": {
    "name": "kohler.org",
    "description": null,
    "readme": null,
    "version": "1.0.0",
    "logo": null,
    "created-at": "2026-05-11T14:12:27+02:00",
    "updated-at": "2026-05-11T14:12:27+02:00",
    "deleted-at": null,
    "state": "updating",
    "config": {
      "update-progress": [],
      "secret-registrations": [],
      "authentication-registrations": [],
      "authentication-registrations-additional-fields": [],
      "application": null,
      "vcs": null,
      "docker": {
        "image-name": null,
        "image-tag": null,
        "registry-url": null
      },
      "individuals": [],
      "migration": null,
      "execution": {
        "execution-mode": "as-env-variables",
        "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
        "docker-host": null,
        "container-api": {
          "image": "test.domain.docker/test/container-api-image:1.0.0",
          "version-constraint": "^0.20"
        }
      },
      "export": null,
      "data-service": null,
      "datasource": {
        "categories": []
      },
      "buckets": [],
      "feature-flags": [],
      "container-api-config": null
    },
    "platform_dev_reference": {
      "account": null,
      "project": null,
      "executable": null,
      "platform-connector": null,
      "site": null,
      "site-processing-cluster": null,
      "assigned-to-site": null,
      "assigned-to-channel": null,
      "assigned-to-channel-site": null,
      "assigned-to-channel-site-destination": null,
      "runtime": {
        "environment": "bin-docker-wrapper",
        "version": "8.16.19"
      }
    },
    "platform_prod_reference": {
      "executable": null,
      "platform-connector": null,
      "target-accounts": [],
      "target-projects": [],
      "target-sites": [],
      "enabled-for-accounts": [],
      "enabled-for-projects": [],
      "enabled-for-sites": [],
      "assigned-to-sites": [],
      "released": false,
      "version": null,
      "runtime": {
        "environment": "bin-docker-wrapper",
        "version": "8.16.19"
      }
    },
    "prod_config": null,
    "dev_config": null
  }
}
{
  "message": "Bad request.",
  "errors": {
    "version-constraint": "This value should not be blank."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector does not have specified version."
}

How is this guide?